%define upstream_name AnyEvent-CacheDNS
%define upstream_version 0.08

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 10

Summary:	Simple DNS resolver with caching
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/AnyEvent/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		no-network.patch

BuildRequires:	perl(AnyEvent)
BuildRequires:	perl(Module::Build) >= 0.400.400

BuildArch:	noarch

%description
This CPAN package provides a simple DNS resolver that caches the results for a
faster retrieval for subsequent calls.

This is module is very basic and has no policies for clearing our invalidating
the DNS cache. Patches and suggestions are welcome.

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -p1

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.80.0-10.mga10
+ Revision: 2203411
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.80.0-9.mga9
+ Revision: 1808235
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-8.mga8
+ Revision: 1503448
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.80.0-7.mga7
+ Revision: 1281583
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.80.0-6.mga7
+ Revision: 1162846
- rebuild with fixed rpm for missing autodeps

* Mon Sep 05 2016 pterjan <pterjan> 0.80.0-5.mga6
+ Revision: 1050044
- Fix tests when DNS resolution is not working

* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-4.mga6
+ Revision: 1022503
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.80.0-3.mga6
+ Revision: 971866
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.80.0-2.mga6
+ Revision: 893420
- rebuild with fixed deps

* Mon Jul 06 2015 sander85 <sander85> 0.80.0-1.mga6
+ Revision: 851911
- imported package perl-AnyEvent-CacheDNS

